Subject: Re: [PATCH] USB: disable all RNDIS protocol drivers

From: Kalle Valo <[email-masked]>
Date: Wed, 23 Nov 2022 17:21:01 +0200

Greg Kroah-Hartman <[email-masked]> writes:

> The Microsoft RNDIS protocol is, as designed, insecure and vulnerable on
> any system that uses it with untrusted hosts or devices.  Because the
> protocol is impossible to make secure, just disable all rndis drivers to
> prevent anyone from using them again.
>
> Windows only needed this for XP and newer systems, Windows systems older
> than that can use the normal USB class protocols instead, which do not
> have these problems.
>
> Android has had this disabled for many years so there should not be any
> real systems that still need this.
>
> Cc: "David S. Miller" <[email-masked]>
> Cc: Eric Dumazet <[email-masked]>
> Cc: Jakub Kicinski <[email-masked]>
> Cc: Paolo Abeni <[email-masked]>
> Cc: Kalle Valo <[email-masked]>
> Cc: Oleksij Rempel <[email-masked]>
> Cc: "Maciej Żenczykowski" <[email-masked]>
> Cc: Neil Armstrong <[email-masked]>
> Cc: Mauro Carvalho Chehab <[email-masked]>
> Cc: Andrzej Pietrasiewicz <[email-masked]>
> Cc: Jacopo Mondi <[email-masked]>
> Cc: "Łukasz Stelmach" <[email-masked]>
> Cc: Laurent Pinchart <[email-masked]>
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Cc: [email-masked]
> Reported-by: Ilja Van Sprundel <[email-masked]>
> Reported-by: Joseph Tartaro <[email-masked]>
> Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> ---
> Note, I'll submit patches removing the individual drivers for later, but
> that is more complex as unwinding the interaction between the CDC
> networking and RNDIS drivers is tricky.  For now, let's just disable all
> of this code as it is not secure.
>
> I can take this through the USB tree if the networking maintainers have
> no objection.  I thought I had done this months ago, when the last round
> of "there are bugs in the protocol!" reports happened at the end of
> 2021, but forgot to do so, my fault.
>
>  drivers/net/usb/Kconfig           | 1 +
>  drivers/net/wireless/Kconfig      | 1 +

For wireless:

Acked-by: Kalle Valo <[email-masked]>

Feel free to take this via your tree.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches